<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structflash__map__entry" kind="struct" prot="public">
    <compoundname>flash_map_entry</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structflash__map__entry_1aaca0a1196b9dd1eb445af61ee04bad18" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t flash_map_entry::magic</definition>
        <argsstring />
        <name>magic</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" bodystart="155" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" line="155" />
      </memberdef>
      <memberdef id="structflash__map__entry_1a1b7da404e3ce02bbe86f43e604bddb46" kind="variable" mutable="no" prot="public" static="no">
        <type>struct <ref kindref="compound" refid="structflash__area">flash_area</ref></type>
        <definition>struct flash_area flash_map_entry::area</definition>
        <argsstring />
        <name>area</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" line="155" />
      </memberdef>
      <memberdef id="structflash__map__entry_1a45cc055ca5354b9e8eb46365af237de0" kind="variable" mutable="no" prot="public" static="no">
        <type>unsigned int</type>
        <definition>unsigned int flash_map_entry::ref_count</definition>
        <argsstring />
        <name>ref_count</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" bodystart="157" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" line="157" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="31">
        <label>flash_map_entry</label>
        <link refid="structflash__map__entry" />
        <childnode refid="32" relation="usage">
          <edgelabel>area</edgelabel>
        </childnode>
      </node>
      <node id="32">
        <label>flash_area</label>
        <link refid="structflash__area" />
      </node>
    </collaborationgraph>
    <location bodyend="158" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" bodystart="154" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/cy_flash_pal/include/flash_map_backend/flash_map_backend.h" line="154" />
    <listofallmembers>
      <member prot="public" refid="structflash__map__entry_1a1b7da404e3ce02bbe86f43e604bddb46" virt="non-virtual"><scope>flash_map_entry</scope><name>area</name></member>
      <member prot="public" refid="structflash__map__entry_1aaca0a1196b9dd1eb445af61ee04bad18" virt="non-virtual"><scope>flash_map_entry</scope><name>magic</name></member>
      <member prot="public" refid="structflash__map__entry_1a45cc055ca5354b9e8eb46365af237de0" virt="non-virtual"><scope>flash_map_entry</scope><name>ref_count</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>